ViMP Installation Service

Let us take care of the complete installation process of your ViMP platform.
 

ViMP installation service includes the following:

  • Preparation of your server
  • Installation of the purchased ViMP software
  • Installation of required transcoding tools

In order to install ViMP remotely on your server, we need the following:

  • SSH access to your server (preferably root)
  • Pre-installed hosting (Apache + MySQL/MariaDB)

We recommend Linux as OS. An installation under UNIX, BSD or Windows is possible, but not officially supported.

Minimum server requirements to install ViMP:

Webserver

  • Apache2
    • Version 2.4 recommended
  • or NGINX

PHP

  • Version 7.0 - 8.0
  • GD library, openssl, cURL, MySQL, mbstring, PDO, pdo_mysql and XSL extensions must be installed
  • PHP CLI (Command Line Interface) must be installed
  • SourceGuardian Extension (except for ViMP Ultimate Extended)

MySQL/MariaDB

  • MySQL: Version 5.0 - 8.0
  • MariaDB: At least version 10.0
  • InnoDB must be installed

Transcoding
The transcoding tools should be installed exactly as described in the documentation. Due to patent protections it's not sufficient to install the default packages.

  • FFmpeg
  • FFProbe
  • exiftool (>10.8)
  • time

CSS customizations
In order to concatenate modified CSS files, npm must be installed.

Hardware

As a minimum requirement we recommend:

  • Quad Core processor
  • 8 GB RAM
  • 500 GB hard disc space (the actual capacity needed depends on the number of media)

For productive use we recommend

  • Hexa-Core processor or better (more cores allow especially a faster transcoding of media)
  • 32 GB RAM or more
  • 2000 GB hard disk space or more (the size required depends mainly on the number of media)

For additional data security, we recommend using a RAID controller.